#Added by slkbuild 1.2
dotnew() {
        NEW="${1}.new"
        OLD="$1"
        if [ ! -e $OLD ]; then
                mv $NEW $OLD
        elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
                rm $NEW
        fi
}
dotnew etc/salixtools/repos-custom
doinst () 
{ 
    if [ ! -x etc/rc.d/rc.numlock ]; then
        chmod 644 etc/rc.d/rc.numlock.new;
    else
        chmod 755 etc/rc.d/rc.numlock.new;
    fi;
    mv -f etc/rc.d/rc.numlock.new etc/rc.d/rc.numlock
}
doinst
